
# ~/.zshenv

# Folding used. get folding.el for your emacs here:
# http://www.csd.uu.se/~andersl/emacs.shtml

#echo "~/.zshenv"

emulate zsh

# {{{ Loading help

#emulate ksh

# .kshrc may have something too ksh-specific
#. "${HOME}/.kshrc"
#HOME_KSHRC="1"
#export HOME_KSHRC

#if [ -n "$HOME_KSHRC" ]
#then
#  if [ "$HOME_KSHRC" -gt 0 ]
#  then
#     echo PAH ~/.kshrc
#     :
#  fi
#else
#  echo SUCK ~/.kshrc
#  HOME_KSHRC="1"
#  export HOME_KSHRC
#  . "$HOME/.kshrc"
#fi

#if [ "$HOME_SHINIT" ]
#then
# if [ "$HOME_SHINIT" -gt 0 ]
# then
#   true
##   echo PAH $HOME/.shinit.sh
# fi
#else
##  echo SUCK $HOME/.shinit.sh
#  . $HOME/.shinit.sh
#fi

. ${HOME}/.shinit.sh
export HOME_SHINIT="1"

# }}}


# automatically remove duplicates from these arrays
typeset -U path cdpath fpath manpath

# {{{ Setopt

setopt ALWAYS_TO_END
setopt APPEND_HISTORY
setopt AUTO_CD
setopt AUTO_LIST
setopt AUTO_MENU
setopt AUTO_PARAM_SLASH BAD_PATTERN BANG_HIST
setopt BEEP BSD_ECHO CDABLE_VARS
setopt COMPLETE_IN_WORD
setopt CORRECT CORRECT_ALL
setopt EXTENDED_HISTORY FLOW_CONTROL GLOB HASH_CMDS HASH_DIRS HASH_LIST_ALL

setopt HIST_BEEP
setopt HIST_NO_STORE
setopt HIST_REDUCE_BLANKS
setopt HIST_VERIFY

setopt INTERACTIVE_COMMENTS
setopt LIST_BEEP
setopt LIST_TYPES LONG_LIST_JOBS NUMERIC_GLOB_SORT
setopt PATH_DIRS
setopt POSIX_BUILTINS
setopt PRINT_EIGHT_BIT
setopt PRINT_EXIT_VALUE
setopt PROMPT_CR
setopt PUSHD_IGNORE_DUPS RC_EXPAND_PARAM RCS

# THIS IS GOOD FOR LOOPS:
# for f in `foo`
# do
#  bar $f
# done
# Otherwise it will do:
# bar <every word from output of foo>
setopt SH_WORD_SPLIT

setopt SH_OPTION_LETTERS

setopt SHORT_LOOPS

# setopt *GLOB*
setopt CSH_NULL_GLOB
setopt EXTENDED_GLOB


# }}}
# {{{ Unsetopt

unsetopt AUTOPUSHD AUTOREMOVESLASH BG_NICE
unsetopt CHASELINKS
unsetopt CLOBBER CSH_JUNKIE_HISTORY
unsetopt CSH_JUNKIE_LOOPS CSH_JUNKIE_QUOTES
unsetopt CLOBBER ERR_EXIT GLOB_COMPLETE HIST_ALLOW_CLOBBER

unsetopt HIST_IGNORE_SPACE

unsetopt HUP IGNORE_EOF
unsetopt KSH_ARRAYS
unsetopt KSH_OPTION_PRINT
unsetopt MAIL_WARNING
unsetopt MENU_COMPLETE NOTIFY


unsetopt NOMATCH

# This causes weird behaviour very easily, if this is on:
# ls /home/juhtolv/.profile.ubuntu.*
# becomes:
# ls /home/juhtolv
# and then it list everthing from that directory.
unsetopt NULL_GLOB



unsetopt PUSHD_SILENT PUSHD_TO_HOME
unsetopt RM_STAR_SILENT

# THIS IS GOOD. OTHERWISE YOU'LL SHOOT YOURSELF INTO THE FOOT:
# for f in * ; do ; zip -r "${f}.zip" "${f}" ; done
# It will do this for each file:
# zip -r file/.zip file/
#            ^
unsetopt MARK_DIRS


# }}}
# {{{ For zsh version 4.*

case $ZSH_VERSION in
4.*)

  setopt AUTO_CONTINUE
  setopt CHECK_JOBS

  setopt HIST_EXPIRE_DUPS_FIRST
  setopt HIST_FCNTL_LOCK
  setopt HIST_FIND_NO_DUPS
  setopt HIST_IGNORE_ALL_DUPS
  setopt HIST_IGNORE_DUPS
  setopt HIST_SAVE_BY_COPY
  setopt HIST_SAVE_NO_DUPS



  # For UTF-8-support
  setopt COMBINING_CHARS
  setopt MULTIBYTE

  unsetopt BG_NICE
  unsetopt CHECK_JOBS
  unsetopt INC_APPEND_HISTORY
  unsetopt KSH_AUTOLOAD
  unsetopt KSH_TYPESET
  unsetopt KSH_ZERO_SUBSCRIPT
  unsetopt NOTIFY
  unsetopt RESTRICTED
  unsetopt SHARE_HISTORY
esac

# }}}



